Download Cohort File
curl --request GET \
--url https://apps.sarvam.ai/api/scheduling/v1/orgs/{org_id}/workspaces/{workspace_id}/deployments/{deployment_id}/cohorts/{cohort_id}/files \
--header 'X-API-Key: <api-key>'import requests
url = "https://apps.sarvam.ai/api/scheduling/v1/orgs/{org_id}/workspaces/{workspace_id}/deployments/{deployment_id}/cohorts/{cohort_id}/files"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://apps.sarvam.ai/api/scheduling/v1/orgs/{org_id}/workspaces/{workspace_id}/deployments/{deployment_id}/cohorts/{cohort_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}Cohorts
Download Cohort File
Download a file associated with a cohort.
Available file types:
cohort— The original uploaded CSVrejected_records— CSV of rows that failed validation, with an appendedrejected_reasoncolumncohort_transformation— The JSON transformation config used during processing
GET
/
v1
/
orgs
/
{org_id}
/
workspaces
/
{workspace_id}
/
deployments
/
{deployment_id}
/
cohorts
/
{cohort_id}
/
files
Download Cohort File
Authorizations
Path Parameters
Query Parameters
Type of cohort file to download.
Available options:
cohort, rejected_records, cohort_transformation Response
Successful Response
⌘I